=== debian/changelog ===
odc (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch file
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 13:18:35 +0000

odc (1.1.0-2) unstable; urgency=medium

  * Append $(FC) to libfodc for fortran versioning
  * Fix CMake fragments

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Nov 2020 14:01:28 +0000

odc (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #973615)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Nov 2020 17:00:09 +0000
