=== debian/changelog ===
odc (1.3.0-1build1) impish; urgency=medium

  * Rebuild against new glibc 2.34.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 13:11:27 +0200

odc (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Add versioned B-D on libeckit-dev to >= 1.16.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2021 16:01:11 +0000
