=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-sequence-fortran-mod,
  ecbuild (>= 3.3.0-3),
  gfortran | fortran-compiler, 
- libeckit-dev,
+ libeckit-dev (>= 1.16.0-1~),
  patchelf
 Standards-Version: 4.5.1
 Homepage: https://github.com/ecmwf/odc
