## odc 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,14 +18,59 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########################################################################################################################
+### sanity checks
+
+### long and double must be 64 bits exactly
+
+# test by c compilation
+ecbuild_check_c_source_return(
+    "#include <stdio.h>\nint main(){printf(\"%ld\",sizeof(long));return 0;}"
+    VAR check_long_final
+    OUTPUT __sizeof_long_final
+)
+ecbuild_check_c_source_return(
+    "#include <stdio.h>\nint main(){printf(\"%ld\",sizeof(double));return 0;}"
+    VAR check_double_final
+    OUTPUT __sizeof_double_final
+)
+
+if( NOT check_long_final OR NOT __sizeof_long_final EQUAL "8" )
+    message( FATAL_ERROR "operating system ${CMAKE_SYSTEM} (${EC_OS_BITS} bits) and sizeof long [${__sizeof_long_final}] -- long must be 64 bits exactly" )
+elseif( NOT check_double_final OR NOT __sizeof_double_final EQUAL "8" )
+    message( FATAL_ERROR "operating system ${CMAKE_SYSTEM} (${EC_OS_BITS} bits) and sizeof double [${__sizeof_double_final}] -- double must be 64 bits exactly" )
+endif()
+
+# test by cxx compilation
+ecbuild_check_cxx_source_return(
+    "#include <iostream>\nint main(){ std::cout << sizeof(long);return 0;}"
+    VAR cxx_check_long_final
+    OUTPUT __cxx_sizeof_long_final
+)
+ecbuild_check_cxx_source_return(
+    "#include <iostream>\nint main(){ std::cout << sizeof(double);return 0;}"
+    VAR cxx_check_double_final
+    OUTPUT __cxx_sizeof_double_final
+)
+
+if( NOT cxx_check_long_final OR NOT __cxx_sizeof_long_final EQUAL "8" )
+    message( FATAL_ERROR "operating system ${CMAKE_SYSTEM} (${EC_OS_BITS} bits) and sizeof long [${__cxx_sizeof_long_final}] -- long must be 64 bits exactly" )
+elseif( NOT cxx_check_double_final OR NOT __cxx_sizeof_double_final EQUAL "8" )
+    message( FATAL_ERROR "operating system ${CMAKE_SYSTEM} (${EC_OS_BITS} bits) and sizeof double [${__cxx_sizeof_double_final}] -- double must be 64 bits exactly" )
+endif()
+
+check_type_size( long ODC_SIZEOF_LONG )
+check_type_size( double ODC_SIZEOF_DOUBLE )
+
+if( NOT ODC_SIZEOF_LONG EQUAL "8" )
+    message( FATAL_ERROR "operating system ${CMAKE_SYSTEM} (${EC_OS_BITS} bits) and sizeof long [${ODC_SIZEOF_LONG}] -- long must be 64 bits exactly" )
+elseif( NOT ODC_SIZEOF_LONG EQUAL "8" )
+    message( FATAL_ERROR "operating system ${CMAKE_SYSTEM} (${EC_OS_BITS} bits) and sizeof double [${ODC_SIZEOF_LONG}] -- double must be 64 bits exactly" )
+endif()
+
+########################################################################################################################
 ### dependencies and options
 
 ecbuild_find_package( NAME eckit VERSION 1.4 REQUIRED )
-
-#ecbuild_add_option( FEATURE NETCDF
-#                    DESCRIPTION "whether or not to build the odb2netcdf tool"
-#                    DEFAULT OFF
-#                    REQUIRED_PACKAGES "NetCDF COMPONENTS CXX" )
 
 ecbuild_add_option( FEATURE FORTRAN
                     DESCRIPTION "whether or not to build the Fortran interface"
