=== docs/requirements.txt ===
sphinx==3.5.4
sphinx-rtd-theme==0.5.2
sphinx-copybutton==0.3.1
sphinx-tabs==2.1.0
breathe==4.29.0
sphinx-fortran==1.1.1
