=== debian/changelog ===
odc (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Dec 2021 13:38:08 +0000

odc (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 08:44:51 +0100

odc (1.4.1-2) unstable; urgency=medium

  * Build on 64-bit only as we depend on eckit which is now 64-bit only

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Oct 2021 09:57:30 +0100

odc (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * Now ship more fortran .mod files

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Aug 2021 17:36:26 +0100
