=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  gfortran | fortran-compiler, 
  libeckit-dev (>= 1.16.0-1~),
  patchelf
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ecmwf/odc
 Vcs-Browser: https://salsa.debian.org:/science-team/odc.git
 Vcs-Git: https://salsa.debian.org:/science-team/odc.git -b debian/latest
 
 Package: libodc-0d
 Section: libs
-Architecture: any
 Multi-Arch: same
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Observational Database Access library for ECMWF
  ODC is software developed at ECMWF for encoding and processing of
@@ -24,7 +24,7 @@
  command line tools and APIs for C/C++ and Fortran.
 
 Package: odc
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Multi-Arch: foreign
 Depends: libodc-0d ( = ${binary:Version}), 
   ${shlibs:Depends}, ${misc:Depends}
@@ -38,7 +38,7 @@
 
 Package: libodc-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 ppc64 mips64el ppc64el s390x riscv64 sparc64  kfreebsd-amd64 ia64 alpha
 Multi-Arch: same
 Depends: libodc-0d (= ${binary:Version}), odc (= ${binary:Version}), 
   ${misc:Depends}, mpi-default-dev, libeckit-dev
