## odc 1.4.5

=== debian/changelog ===
odc (1.4.5-1) unstable; urgency=medium

  * New upstream release
  * Add initial bash completions

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 May 2022 19:15:27 +0100
