## odc 1.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -83,6 +83,8 @@
 ########################################################################################################################
 # contents
 
+include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings
+
 add_subdirectory( src )
 add_subdirectory( regressions )
 add_subdirectory( tests )
