=== debian/changelog ===
odc (1.4.6-5) unstable; urgency=medium

  * Rebuild against dh-fortran-mod for gfortran-13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2023 13:33:50 +0100

odc (1.4.6-4) unstable; urgency=medium

  * Standards-Version:  4.6.2
  * Fix for FTBFS with g++ 13. Closes: #1037796

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jun 2023 19:23:43 +0100

odc (1.4.6-3) experimental; urgency=medium

  * Re-enable tests

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Jan 2023 15:28:48 +0000

odc (1.4.6-2) unstable; urgency=medium

  * Rebuild with dh-fortran-mod 0.27. Closes: #1017708

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Sep 2022 11:19:56 +0100

odc (1.4.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2022 11:02:52 +0100
