=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  gfortran | fortran-compiler, 
  libeckit-dev (>= 1.16.0-1~),
  patchelf
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ecmwf/odc
 Vcs-Browser: https://salsa.debian.org:/science-team/odc.git
 Vcs-Git: https://salsa.debian.org:/science-team/odc.git -b debian/latest
