=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 FORTRAN_VERSION:=$(shell basename $(shell readlink  /usr/bin/$(FC)))
 
+DO_TEST:=true
+
 # The magic debhelper  rule
 %:
 	dh $@ --buildsystem=ecbuild
@@ -26,8 +28,7 @@
 		      ${BUILD_FLAGS} -DCMAKE_Fortran_COMPILER=$(FC)
 
 override_dh_auto_test:
-	@echo "Ignoring test failures in this build"
-	# dh_auto_test ||  echo "Ignoring test failures" 
+	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build/lib dh_auto_test  ) || true
 
 override_dh_dwz:
 	@echo bypass dwz that causes build failures due to patchelf changes
